# Changelog NTS and NTS IT
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)

Guiding Principles:
see https://keepachangelog.com/en/1.0.0/#how

Possible log types:  
- [Update instructions] for essential requirements, instructions and information about the software update procedure  
- [Added] for new features  
- [Changed] for changes in existing functionality. Improvements should appear under the 'changed' section  
- [Deprecated] for once-stable features removed in upcoming releases  
- [Removed] for now removed in this release  
- [Fixed] for any bug fixes  
- [Security]  in case of vulnerabilities or other security related changes  

## [00160224.01.030305 / 16022024] 2024-03-20
### Update instructions
**Former version has to be at or above 26112021!**  
Bx-800984.05/Bx801080.04 or higher: chapter 7  

### Added

### Changed
- Update ntp to 4.2.8p17
- Update dropbear (SSH) to 2022.83  
- watchdog time increased to delay unintentional reboot with very high network load

### Deprecated

### Removed
- remove unused libs in rootfs

### Fixed
- set default config (MOBA) as link

### Security
- Detect and block SSH brute force attack
- Disallow TCP timestamps
- Default settings changed (Telnet & FTP off, SNMP V3 only)
- See also "Changed" (updates) 


## [00251121.01.030204 / 26112021] 2021-11-26
### Update instructions
First step: Update rootfsNTS.img, uImageNTS and ntsapp.img image. After reboot   
update ntsv2cfg.img (save configuration before this update)  
See also  Bx-800984.03/Bx801080.03 or higher: chapter 7  

### Added

### Changed
- Update ftpd, sftp, busybox
- Update ntp
- Update lighttpd for NTS IT

### Deprecated

### Removed

### Fixed

### Security
- Root user login deactivated


## [00010714.01.010103 / 31032015] 2015-03-30
### Update instructions
If previous version was 06112013 (ntsapp V0.01) or 14112013 (ntsapp V0.01) the following special procedure has to be used:  
1. step: update only ntsapp.img and ntscheck.md5  
2. step: update ntscfg.img, rootfsNTS.img and ntscheck.md5  
**Disregarding this procedure, will lead to an unusable firmware combination, which can only be restored by the factory!**  
See also Bx-800984.00 or higher: chapter 7  


### Added

### Changed
- New ntp version 4.2.8p1 including adaption of the timedevice
- Add fixed IP (192.168.46.46) to NTS IT for initial configuration (available for 10 min after start, when no other IP is available)
- Bugfix to show correct format if the source is a IPv6 NTP server
- Bugfix in MIB file

### Deprecated

### Removed

### Fixed

### Security


## [00010714.00.010002 / 23072014] 2014-07-25
### Update instructions
If previous version was 06112013 (ntsapp V0.01) or 14112013 (ntsapp V0.01) the following special procedure has to be used:  
1. step: update only ntsapp.img and ntscheck.md5  
2. step: update ntscfg.img, rootfsNTS.img and ntscheck.md5  
**Disregarding this procedure, will lead to an unusable firmware combination, which can only be restored by the factory!**  
See also Bx-800984.00 or higher: chapter 7  


### Added

### Changed
- Added NTS IT to software
- Fixed NTP MCast poll interval in menu
- Add configuration to restrict NTPQ (DDOS attack) 
- Fixed SNMP V1/V2c write access (has been always blocked before) 
- Always show link local address of gateway 
- Fixed IPv6 autoconfig. for slow link built-up
- Added IPv6 MCast for NTP and TZ-server
- Fixed menu error in TZ-server menu

### Deprecated

### Removed

### Fixed

### Security

